Package com.smartgwt.client.types

# Enum FilteredSelectAllAction

java.lang.Object
java.lang.Enum<FilteredSelectAllAction>
com.smartgwt.client.types.FilteredSelectAllAction

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FilteredSelectAllAction>`, `Constable`

public enum FilteredSelectAllAction extends Enum<FilteredSelectAllAction> implements ValueEnum
Governs how the `MultiPickerItem` "Select All" and "Deselect All" buttons should act when the user has filtered the set of visible options in the list.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Ignore filtering: Always select or deselect the entire set of options including those not currently visible in the filtered list.
  `DISABLE`
  The buttons auto-disable when the list of options is filtered.
  `WHENLOADED`
  If the entire (filtered) list is loaded, both Select All and Clear are functional and will update the selection for all items in the filtered list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FilteredSelectAllAction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FilteredSelectAllAction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISABLE

    public static final FilteredSelectAllAction DISABLE
    The buttons auto-disable when the list of options is filtered.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disable".

  - ### ALL

    public static final FilteredSelectAllAction ALL
    Ignore filtering: Always select or deselect the entire set of options including those not currently visible in the filtered list. This option is only available if the entire set of data has been loaded in the client.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

  - ### WHENLOADED

    public static final FilteredSelectAllAction WHENLOADED
    If the entire (filtered) list is loaded, both Select All and Clear are functional and will update the selection for all items in the filtered list. If a partial list is loaded, these buttons will be disabled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "whenLoaded".

- ## Method Details

  - ### values

    public static FilteredSelectAllAction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FilteredSelectAllAction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`